Bug 1306218 - quota: xattr trusted.glusterfs.quota.limit-objects not healed on a root of newly added brick
Summary: quota: xattr trusted.glusterfs.quota.limit-objects not healed on a root of ne...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.1.3
Assignee: Manikandan
QA Contact: Anil Shah
URL:
Whiteboard:
Depends On:
Blocks: 1299184 1306220 1312954
TreeView+ depends on / blocked
 
Reported: 2016-02-10 10:55 UTC by Vijaikumar Mallikarjuna
Modified: 2016-09-17 12:42 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.7.9-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1306220 (view as bug list)
Environment:
Last Closed: 2016-06-23 05:07:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1240 0 normal SHIPPED_LIVE Red Hat Gluster Storage 3.1 Update 3 2016-06-23 08:51:28 UTC

Description Vijaikumar Mallikarjuna 2016-02-10 10:55:36 UTC
If a quota is enabled on a volume and object-limit is set on root directory.
Now, if a new brick is added, usage-limit is getting healed on a root directory but object-limit is not healing.

Comment 2 Vijaikumar Mallikarjuna 2016-02-10 11:01:25 UTC
Patch submitted upstream: http://review.gluster.org/#/c/13422/

Comment 4 Mike McCune 2016-03-28 23:44:20 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 5 Vijaikumar Mallikarjuna 2016-04-07 03:04:31 UTC
Fix 'http://review.gluster.org/#/c/13422/" available in 3.1.3 as part of rebase

Comment 7 Anil Shah 2016-04-26 07:56:32 UTC
xattr atibutests befote adding brick on replica 0 

[root@dhcp46-4 ~]# getfattr -d -m . -e  hex /rhs/brick1/b1/
getfattr: Removing leading '/' from absolute path names
# file: rhs/brick1/b1/
security.selinux=0x73797374656d5f753a6f626a6563745f723a756e6c6162656c65645f743a733000
trusted.gfid=0x00000000000000000000000000000001
trusted.glusterfs.dht=0x000000010000000000000000aab565b0
trusted.glusterfs.quota.dirty=0x3000
trusted.glusterfs.quota.limit-objects.1=0x00000000000003e8ffffffffffffffff
trusted.glusterfs.quota.limit-set.1=0x0000000280000000ffffffffffffffff
trusted.glusterfs.quota.size.1=0x000000000000040000000000000000020000000000000006
trusted.glusterfs.volume-id=0x22b9542504ab40a8b119a19b82778dbf

[root@dhcp47-46 ~]# getfattr -d -m  . -e   hex /rhs/brick1/b2/
getfattr: Removing leading '/' from absolute path names
# file: rhs/brick1/b2/
security.selinux=0x73797374656d5f753a6f626a6563745f723a756e6c6162656c65645f743a733000
trusted.gfid=0x00000000000000000000000000000001
trusted.glusterfs.dht=0x000000010000000000000000aab565b0
trusted.glusterfs.quota.dirty=0x3000
trusted.glusterfs.quota.limit-objects.1=0x00000000000003e8ffffffffffffffff
trusted.glusterfs.quota.limit-set.1=0x0000000280000000ffffffffffffffff
trusted.glusterfs.quota.size.1=0x000000000000040000000000000000020000000000000006
trusted.glusterfs.volume-id=0x22b9542504ab40a8b119a19b82778dbf

xattr atibutests after adding brick on replica 0

[root@dhcp46-4 ~]# getfattr -d -m . -e  hex /rhs/brick2/b1/getfattr: Removing leading '/' from absolute path names
# file: rhs/brick2/b1/
security.selinux=0x73797374656d5f753a6f626a6563745f723a756e6c6162656c65645f743a733000
trusted.gfid=0x00000000000000000000000000000001
trusted.glusterfs.quota.limit-objects.1=0x00000000000003e8ffffffffffffffff
trusted.glusterfs.quota.limit-set.1=0x0000000280000000ffffffffffffffff
trusted.glusterfs.volume-id=0x22b9542504ab40a8b119a19b82778dbf


[root@dhcp47-46 ~]# getfattr -d -m  . -e   hex /rhs/brick2/b2/
getfattr: Removing leading '/' from absolute path names
# file: rhs/brick2/b2/
security.selinux=0x73797374656d5f753a6f626a6563745f723a756e6c6162656c65645f743a733000
trusted.gfid=0x00000000000000000000000000000001
trusted.glusterfs.quota.limit-objects.1=0x00000000000003e8ffffffffffffffff
trusted.glusterfs.quota.limit-set.1=0x0000000280000000ffffffffffffffff
trusted.glusterfs.volume-id=0x22b9542504ab40a8b119a19b82778dbf

xattr attributes for limit-object are getting healed on newly added brick.
Bug verified on build glusterfs-3.7.9-2.el7rhgs.x86_64

Comment 11 errata-xmlrpc 2016-06-23 05:07:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1240


Note You need to log in before you can comment on or make changes to this bug.